Description

Specs

9900K

16GB 4000mhz DDR4
x2 2080ti's

Tested with 1.13 and latest builds of CEMU

When | play this game with another player (COOP MODE) the games audio will have issues when rolling around or during intense
scenes when you are fighting mobs. This issue doesn't seem to effect single player mode. The FPS are locked at 30fps, and simply
rolling around with player 2, | am able to hear the audio degrade.

Without jumping to conclusions, | imagine it has to do with the second screen being independent to the main screen, and | imagine
that its pretty intense for an emulator to keep up. Saying that | would expect the FPS to drop, but it seems that the game just slows
down instead, causing the audio to follow suit.

History

#1 - 03/23/2019 10:04 PM - theboy181

| just noticed that the issue can also be reproduced by using BLOCK and the Character IMPA. If you block with Link there is no issue, but IMPA has a
shield that uses ALPHA channel effects.

Is it possible that transparency's are the issue here? The roll also has transparency effects, and if you roll while you are on the other players screen,
the audio issue will be even worse.

#2 - 03/23/2019 11:11 PM - theboy181

Here is a Video of the issue at hand.

https://cdn.discordapp.com/attachments/292706660877860865/559152002719023104/2019-03-23_16-07-46.mkv

#3 - 03/30/2019 08:33 PM - Exzap

- Status changed from New to In Progress

| tracked this down to some missing recompiler instructions. | implemented them and did some quick testing. Seems like the game runs quite a bit
faster and the audio is also a lot more stable.

Once you get a chance to test 1.15.4 let me know if the issue has been solved for you.
#4 - 03/30/2019 10:39 PM - theboy181
Issue is still present.

This issue can be reproduced by playing COOP, and using IMPA's block still. It seems to sprout from the any transparency effects that render to
screen. Do you need another video?

#5 - 05/25/2019 07:39 PM - Exzap

- Status changed from In Progress to Closed

Fixed in 1.15.6¢ by improving performance of GX2CopySurface for direct copies. Texture copies would stall CPU thread leading to discontinuities in
audio
https://cdn.discordapp.com/attachments/292706660877860865/559152002719023104/2019-03-23_16-07-46.mkv

#6 - 07/04/2019 12:51 AM - Zalnor
- Category set to Sound

04/20/2024 22


http://www.tcpdf.org

